/***********************************************************************/
/*                                                                     */
/*  FILE        :character.c                                           */
/*  DESCRIPTION :charadter and string draw to LCD                      */
/*  CPU TYPE    :RX62N                                                 */
/*                                                                     */
/***********************************************************************/

//`
#include <machine.h>
#include "iodefine.h"
#include "global_val.h"
#include "global_func.h"
#include "define_const.h"

//֐
//@@@@Fւ̃|C^,W(x),W(y)@@W͕ƕɂs(y)Ɨ(x)
//@^[lFȂ
//@Tv@Fp啶Ɛ݂̂̕`Aʒ[̐܂ԂAJƂ̏͂Ȃ
void draw_string(char *p_string, unsigned short x, unsigned short y ){
	while(*p_string){	// NULL܂ŏ
		draw_char(*(p_string++),x++,y);
	}
}


//֐
//@@@@FR[h,W(x),W(y)
//@^[lFȂ
//@Tv@Fp啶Ɛ݂̂̕wʒuɕ`
void draw_char(char moji, unsigned short x, unsigned short y){
	int i,j;
	int char_offset;
	int draw_point_y = (y * FONT_WIDTH_Y)+FONT_WIDTH_Y-1;
	int draw_point_x = x * FONT_WIDTH_X;
	unsigned short mixed_rgb16;
	volatile unsigned char *p_bmp = ((unsigned char *)(__sectop("D_BMP_FONT")) + 54 );
										// BMPf[^54oCgڂ炪摜

	if(moji == ' '){					// (Space)R[hATCY̔h̎lp``
		frct(x*FONT_WIDTH_X,y*FONT_WIDTH_Y,(x+1)*FONT_WIDTH_X,(y+1)*FONT_WIDTH_Y,COLOR_WHITE,DRAW_MOV);
		return;
	}
	else if(moji < 'A'){				// ̔菈
		char_offset = moji - '0';		// 𕶎ԍ(0`9)ɕϊ
	}
	else if(moji >= 'A' && moji <= 'Z'){	// 啶̔
		char_offset = moji - 'A' + 10;	// p𕶎ԍ(10`35)ɕϊ
	}
	else{
		return;							// 啶p܂͐ȊO͏Ȃ
	}

	p_bmp += (35 - char_offset)*364;	// tHg|C^(p_bmp)w蕶̍ŉs֐ݒ

	for(j=FONT_WIDTH_Y; j>0; j--){		// ŉstHgsPʂɃRs[
		for(i=0; i<FONT_WIDTH_X; i++,p_bmp+=3){	// 24rbgtJ[(3oCg)16rbgJ[֌F
			mixed_rgb16 = ( ((*(p_bmp+0)) & (MASK_RED))  << (SHIFT_RED))
		    			+ ( ((*(p_bmp+1)) & (MASK_GREEN))<< (SHIFT_GREEN))
		    			+ ( ((*(p_bmp+2)) & (MASK_BLUE)) >> (SHIFT_BLUE));
			if(mixed_rgb16 != COLOR_WHITE)	// ȊO`揈
				//global_lcd_framebuffer[draw_point_y][draw_point_x] = mixed_rgb16;
				display_write_dot(draw_point_x, draw_point_y, mixed_rgb16);
			draw_point_x++;
		}
		draw_point_y--;
		draw_point_x = x * FONT_WIDTH_X;
		p_bmp += 1;
	}
}
