/***********************************************************************/
/*                                                                     */
/*  FILE        :global_val.c                                          */
/*  DESCRIPTION :global variable define                                */
/*  CPU TYPE    :RX62N                                                 */
/*                                                                     */
/***********************************************************************/


// ^錾
typedef struct str_mole {
	unsigned char draw;
	unsigned char time;
	unsigned char state;
	unsigned short pos_x;
	unsigned short pos_y;
}MOLE;


// ϐ錾
int X_MAX,X_MIN,Y_MAX,Y_MIN;
const unsigned short rgb16_color[]={
		0x0000, // Kuro
		0xf800, // Red
		0x07e0, // Green
		0x001f, // Blue
		0xffe0, // Yellow
		0xf81f, // Purple
		0x07ff, // Skyblue
		0xffff,	// White
		0xff60,	// 
	};	

unsigned char global_random_value[255];	

//#pragma section LCD
//volatile unsigned short global_lcd_framebuffer[249][320];
//#pragma section

volatile unsigned char port_ddr[13];
volatile unsigned char touch_state;
volatile signed char global_time = 10;

volatile unsigned short global_vsync_line;
volatile unsigned short global_position_x;
volatile unsigned short global_position_y;
volatile unsigned short global_touch;
volatile unsigned short global_addata[4];
volatile unsigned short global_score;
volatile signed char global_score_buff[4];


volatile MOLE mole[8] = {
	{1,31*1,0,20,35},
	{1,31*8,0,128,35},
	{1,31*2,0,236,35},
	{1,31*5,0,74,99},
	{1,31*3,0,182,99},
	{1,31*6,0,20,163},
	{1,31*4,0,128,163},
	{1,31*7,0,236,163},
};
