/***********************************************************************/
/*                                                                     */
/*  FILE        :global_val.h                                          */
/*  DESCRIPTION :global variable                                       */
/*  CPU TYPE    :RX62N                                                 */
/*                                                                     */
/***********************************************************************/
// ^錾
typedef struct str_mole {
	unsigned char draw;
	unsigned char time;
	unsigned char state;
	unsigned short pos_x;
	unsigned short pos_y;
}MOLE;

typedef struct spi_command {
	unsigned char address;
	unsigned char data;
}SPI_COMMAND;

// ϐ錾
extern const unsigned short rgb16_color[];

extern volatile unsigned char touch_state;
extern volatile unsigned char port_ddr[];
extern volatile unsigned char global_time;

extern volatile unsigned short global_vsync_line;
extern volatile unsigned short global_position_x;
extern volatile unsigned short global_position_y;
extern volatile unsigned short global_touch;
extern volatile unsigned short global_score;
extern volatile unsigned short global_addata[];
extern volatile signed char global_score_buff[];

//extern unsigned short global_lcd_framebuffer[240][320];
//extern volatile unsigned short (*global_lcd_framebuffer)[320];
extern unsigned char global_random_value[255];

extern volatile MOLE mole[8];
