/***********************************************************************/
/*                                                                     */
/*  FILE        :graphic.c                                             */
/*  DESCRIPTION :draw male                                             */
/*  CPU TYPE    :RX62N                                                 */
/*                                                                     */
/***********************************************************************/

//`
#include <machine.h>
#include "iodefine.h"
#include "global_val.h"
#include "global_func.h"
#include "define_const.h"

//֐
//@@@@Fԍ
//@^[lFȂ
//@Tv@FNo.mole\̂ɂstateoɏ]Ă`悷
void draw_mole(unsigned char mole_num){
	int i,j;
	int draw_point_y = mole[mole_num].pos_y +63 -12;
	int draw_point_x = mole[mole_num].pos_x;
	unsigned short mixed_rgb16;
	volatile unsigned char *p_bmp;

	switch(mole[mole_num].state){
		case 0:	p_bmp = (volatile unsigned char *)((int)__sectop("D_BMP_STATE0") + 54);	break;
		case 1:	p_bmp = (volatile unsigned char *)((int)__sectop("D_BMP_STATE1") + 54);	break;
		case 2:	p_bmp = (volatile unsigned char *)((int)__sectop("D_BMP_STATE2") + 54);	break;
		case 3:	p_bmp = (volatile unsigned char *)((int)__sectop("D_BMP_STATE3") + 54);	break;
		case 4:	p_bmp = (volatile unsigned char *)((int)__sectop("D_BMP_HIT") + 54);		break;
		case 5:	p_bmp = (volatile unsigned char *)((int)__sectop("D_BMP_MISS") + 54);		break;
		default : break;	
	}

#if 0
	for(j=44; j>0; j--){
		for(i=0; i<64; i++,p_bmp+=3){
			mixed_rgb16 = ( ((*(p_bmp+2)) & (MASK_RED))  << (SHIFT_RED))
		    			+ ( ((*(p_bmp+1)) & (MASK_GREEN))<< (SHIFT_GREEN))
		    			+ ( ((*(p_bmp+0)) & (MASK_BLUE)) >> (SHIFT_BLUE));
			global_lcd_framebuffer[draw_point_y][draw_point_x] = mixed_rgb16;
			draw_point_x++;
		}
		draw_point_y--;
		draw_point_x = mole[mole_num].pos_x;
	}
#else
	static unsigned short lcd_framebuffer[44][64];
	int x = 0, y = 43;
	for(j=44; j>0; j--){
		for(i=0; i<64; i++,p_bmp+=3){
			mixed_rgb16 = ( ((*(p_bmp+2)) & (MASK_RED))  << (SHIFT_RED))
		    			+ ( ((*(p_bmp+1)) & (MASK_GREEN))<< (SHIFT_GREEN))
		    			+ ( ((*(p_bmp+0)) & (MASK_BLUE)) >> (SHIFT_BLUE));
			lcd_framebuffer[y][x] = mixed_rgb16;
			x++;
		}
		y--;
		x = 0;
	}
	display_block_copy(draw_point_x, draw_point_y - (63-12) + 8, 64, 44, lcd_framebuffer);
#endif
}


//֐
//@@@@Fԍ
//@^[lFȂ
//@Tv@FNo.ʒȕԂ̂`悷
void draw_default(unsigned char mole_num){
	int i,j;
	int draw_point_y = mole[mole_num].pos_y + 63;
	int draw_point_x = mole[mole_num].pos_x;
	unsigned short mixed_rgb16;
	volatile unsigned char *p_bmp;

	p_bmp = ((unsigned char *)(__sectop("D_BMP_DEFAULT")) + 54 );
		
#if 0
	for(j=64; j>0; j--){
		for(i=0; i<64; i++,p_bmp+=3){
			mixed_rgb16 = ( ((*(p_bmp+2)) & (MASK_RED))  << (SHIFT_RED))
		    			+ ( ((*(p_bmp+1)) & (MASK_GREEN))<< (SHIFT_GREEN))
		    			+ ( ((*(p_bmp+0)) & (MASK_BLUE)) >> (SHIFT_BLUE));
			global_lcd_framebuffer[draw_point_y][draw_point_x] = mixed_rgb16;
			draw_point_x++;
		}
		draw_point_y--;
		draw_point_x = mole[mole_num].pos_x;
	}
#else
	static unsigned short lcd_framebuffer[64][64];
	int x = 0, y = 63;
	for(j=64; j>0; j--){
		for(i=0; i<64; i++,p_bmp+=3){
			mixed_rgb16 = ( ((*(p_bmp+2)) & (MASK_RED))  << (SHIFT_RED))
		    			+ ( ((*(p_bmp+1)) & (MASK_GREEN))<< (SHIFT_GREEN))
		    			+ ( ((*(p_bmp+0)) & (MASK_BLUE)) >> (SHIFT_BLUE));
			lcd_framebuffer[y][x] = mixed_rgb16;
			x++;
		}
		y--;
		x = 0;
	}
	display_block_copy(draw_point_x, draw_point_y - 63, 64, 64, lcd_framebuffer);
#endif
}
