/***********************************************************************/
/*                                                                     */
/*  FILE        :lcd_lib.h                                             */
/*  DESCRIPTION :geometry draw library                                 */
/*  CPU TYPE    :RX62N                                                 */
/*                                                                     */
/***********************************************************************/
unsigned short get_dot(short x, short y);
void dot(short x, short y, unsigned short color, unsigned short opm);
void line(short x1,short y1,short x2,short y2,unsigned short color,short opm);
void tri(short x1,short y1,short x2,short y2,short x3,short y3,unsigned short color,short opm);
void ftri(short x1,short y1,short x2,short y2,short x3,short y3,unsigned short color,short opm);
void crcl(short xs,short ys,short xe,short ye,unsigned short color,short opm);
void fcrcl(short xs,short ys,short xe,short ye,unsigned short color,short opm);
void rct(short x1,short y1,short x2,short y2,unsigned short color,short opm);
void frct(short x1,short y1,short x2,short y2,unsigned short color,short opm);

void draw_menu(unsigned char color);
void backup(void);

//extern unsigned short global_lcd_framebuffer[240][320];
//extern unsigned short global_lcd_backupbuffer[240][320];

extern volatile unsigned char touch_state;
extern volatile unsigned char menu_color;
extern volatile unsigned char menu_draw;

extern int global_touch;
extern int global_vsync_line;

extern const unsigned short rgb16_color[];	
