/***********************************************************************/
/*                                                                     */
/*  FILE        :touch.h                                               */
/*  DESCRIPTION :touch panel                                           */
/*  CPU TYPE    :RX62N                                                 */
/*                                                                     */
/***********************************************************************/
/*
PC3	PU
PC2 YHL
PC1 YEN
PC0 XEN
*/
#define T_idle_DDR	(0x00)		//X:disable(H),Y:disble(H),PU:high-Z
#define T_idle_DR	(0x00)
#define T_sense_DDR	(0x0a)		//X:disable(H),Y:enable(L),YHL:L,PU:H
#define T_sense_DR	(0x00)
#define T_posX_DDR	(0x05)		//X:enable(L),Y:disable(H),YHL:X(L),PU:Hgh-Z
#define T_posX_DR	(0x04)
#define T_posY_DDR	(0x0a)		//X:disnable(H),Y:enable(L),YHL:H,PU:Hgh-Z
#define T_posY_DR	(0x02)
#define ON  0
#define OFF 1

#define SIZE_X 320
#define SIZE_Y 240
