#include "iodefine.h"
#include "cmt.h"

void init_cmt1(void)
{
	/* CMT1̏(100HzC^[o^C}) */
	MSTP_CMT1 = 0;						/* CMT1̓ */
	CMT1.CMCR.BIT.CKS	= 0;			/* PCLK/8 */
	CMT1.CMCR.BIT.CMIE	= 1;			/* RyA}b`荞݂ */
	CMT1.CMCOR = 48000000 / 8 / 100 - 1;	/* l̐ݒ */
	IPR(CMT1, CMI1) = 2;				/* CMT1荞ݗD惌x=2 */
	IEN(CMT1, CMI1) = 1;				/* CMT1荞݋ */

	return;
}

void cmt1_start(void)
{
	CMT.CMSTR0.BIT.STR1 = 1;
	return;
}

void cmt1_stop(void)
{
	CMT.CMSTR0.BIT.STR1 = 0;
	return;
}

void excep_cmtu0_cmt1(void)
{
	return;
}

void init_cmt0(void)
{
	/* CMT0̏(1kHzC^[o^C}) */
	MSTP_CMT0 = 0;						/* CMT0̓ */
	CMT0.CMCR.BIT.CKS	= 0;			/* PCLK/8 */
	CMT0.CMCR.BIT.CMIE	= 1;			/* RyA}b`荞݂ */
	CMT0.CMCOR = 48000000 / 8 / 1000 - 1;	/* l̐ݒ */
	CMT.CMSTR0.BIT.STR0 = 1;			/* CMT0JEgJn */
	IPR(CMT0, CMI0) = 1;				/* CMT0荞ݗD惌x=1 */
	IEN(CMT0, CMI0) = 1;				/* CMT0荞݋ */

	return;
}

void cmt0_start(void)
{
	CMT.CMSTR0.BIT.STR0 = 1;
	return;
}

void cmt0_stop(void)
{
	CMT.CMSTR0.BIT.STR0 = 0;
	return;
}

volatile unsigned int Timer;

void excep_cmtu0_cmt0(void)
{
	/* Ԍvp^C} */
	Timer++;

	/* ^b`plhCo(touch.c)̋쓮 */
	Excep_CMTU0_CMT0();
}

void delay_ms (unsigned int ms)
{
	for (Timer = 0; Timer < ms; );
}
