/***********************************************************************/
/*                                                                     */
/*  FILE        :mole_main.c                                           */
/*  DESCRIPTION :main function                                         */
/*  CPU TYPE    :RX62N                                                 */
/*                                                                     */
/***********************************************************************/
#include <machine.h>
#include "iodefine.h"
#include "global_val.h"
#include "global_func.h"
#include "define_const.h"
#include "lcdset.h"
#include "touch.h"
#include "display.h"

#include <stdio.h>
#include <stdlib.h>
extern volatile unsigned short global_inX;
extern volatile unsigned short global_inY;
extern volatile int X_MAX,X_MIN,Y_MAX,Y_MIN;

//extern const short width, hight;
//extern unsigned short pct_data[];

extern const short width1, hight1;
extern unsigned short pct1_data[];


// main֐
void mole_main(void)
{	
	int mole_i,i;	
	unsigned short x;
	unsigned short y;
	unsigned short work_score = 0;
	unsigned char mole_num;

	init_display();

	// n𔒂
	frct(0,0,319,239,COLOR_WHITE,0);

	// RX600̃Sʍɕ`
#if 0
	i = width1 * (hight1 - 1);
	for(y=0;y<hight1;y++,i-=width1*2)
		for(x=0;x<width1;x++,i++)
			 global_lcd_framebuffer[y][x] = pct1_data[i];
#else
	display_block_copy_r(0, 0, width1, hight1, pct1_data);
#endif

	// RPB̃SʉEɕ`
#if 0
	i = width * (hight - 1);
	for(y=0;y<hight;y++,i-=width*2)
		for(x=0;x<width;x++,i++)
			 global_lcd_framebuffer[y+100][x+100] = pct_data[i];
#else
	display_block_copy_r(100, 100, 200, 136, 0xfffa0000);
#endif
	draw_string("WELCOME TO RX600 WORLD",5,6);

	// ^b`܂ő҂
	while(global_touch == 0);
	while(global_touch == 1);

	// ^b`̃Lu[V
	cal_touch();
	
	reset_state();	// ̏ԕϐ

	while( 1 ){
		if(global_time){				//Q[ԂI܂ňȉ̏
			if(global_touch){			//^b`
				mole_num = chk_mole();	//ɃqbgmF
				if(mole_num <= 7){
					global_score += result_mole(mole_num);	//XRAXV
					while(global_touch);	//^b`I玟̓
				}
			}

			mole_i++;					//Ŵ̂̏ԕϐԂɃ`FbN
			mole_i &= 0x07;				//
			if( mole[mole_i].draw == 1 ){	//`vtOZbgĂ
				mole[mole_i].draw = 0;
				draw_mole(mole_i);		//`
			}
			else if( work_score != global_score ){	//XRA`
				work_score = global_score;
				make_score(work_score);
				draw_string((char *)global_score_buff,6,1);
			}
		}
		else{							//Q[ԏI
			x = get_x() ;	
			y = get_y() ;
			if(y >= 13 && y <= 27 )		//RETRY^b`mF
				if(x >= 290 && x <= 315)
					reset_state();		//ϐ̏Ԃŏɖ߂
		}
	}
}


//XRǍvZȉԂŉZ_Iԁj
unsigned char result_mole(unsigned char mole_num){
	unsigned char result_score = 0;
	switch(mole[mole_num].state){
		case 0:	result_score = 0;			break;
		case 1:	result_score = 20;
				mole[mole_num].state = 4;	break;
		case 2:	result_score = 10;
				mole[mole_num].state = 4;	break;
		case 3:	mole[mole_num].state = 5;	break;
//		case 4:	result_score = 10;			break;
		case 4:	result_score = 0;			break;	//2dɓ_Ȃ
		default:							break;			
	}
	mole[mole_num].time = 50;
	return result_score;
}


//ǂ̂炪@ꂽ`FbN
unsigned char chk_mole(void){
	unsigned char mole_num;
	unsigned short x = 0 ;
	unsigned short y = 0 ;

	x = get_x();
	y = get_y();

	if(y >= 38 && y <= 96 ){ //i
		if(x >= 23 && x <= 81 )		mole_num = 0;	//i
		if(x >= 131 && x <= 189 )	mole_num = 1;	//i
		if(x >= 239 && x <= 297 )	mole_num = 2;	//iE
	}
	else if(y >= 101 && y <= 160 ){ //i
		if(x >= 77 && x <= 135 )	mole_num = 3;	//i
		if(x >= 185 && x <= 243 )	mole_num = 4;	//iE
	}
	else if(y >= 166 && y <= 224 ){ //i
		if(x >= 23 && x <= 81 )		mole_num = 5;	//i
		if(x >= 131 && x <= 189 )	mole_num = 6;	//i
		if(x >= 239 && x <= 297 )	mole_num = 7;	//iE
	}
	else 
		mole_num = 0xff;	//@ꂽ͂Ȃ
		
	if(mole_num != 0xff){	//@ꂽ炪`悵XVv
		mole[mole_num].draw = 1;
	}
	
	return mole_num;		
}


//^b`pl̃Lu[V
void cal_touch(void)
{
	int i,x,y;
	frct(0,0,319,239,COLOR_WHITE,0);		//^b`
	fcrcl(8,8,12,12,COLOR_BLACK,0);
	draw_string("CALIBRATION TOUCH PANEL",6,9);
	draw_string("TOUCH",2,2);
	x = 0;y = 0;
	for(i=0;i<16;i++){						//16񕪂̃f[^擾
		while(global_touch==0);
		x += global_inX; 
		y += global_inY;
	}
	if(x>20000) X_MAX += x/16;				//㉺AEtłΉ
	else X_MIN += x/16;
	if(y>20000) Y_MAX += y/16;
	else Y_MIN += y/16;
	while(global_touch==1);					//y܂ő҂

	frct(0,0,99,49,COLOR_WHITE,0);			//E^b`
	fcrcl(308,8,312,12,COLOR_BLACK,0);
	draw_string("CALIBRATION TOUCH PANEL",6,9);
	draw_string("TOUCH",28,2);
	x = 0;y = 0;
	for(i=0;i<16;i++){
		while(global_touch==0);
		x += global_inX; 
		y += global_inY;
	}
	if(x>20000) X_MAX += x/16;
	else X_MIN += x/16;
	if(y>20000) Y_MAX += y/16;
	else Y_MIN += y/16;
	while(global_touch==1);

	frct(220,0,319,50,COLOR_WHITE,0);		//^b`
	fcrcl(8,228,12,232,COLOR_BLACK,0);
	draw_string("TOUCH",2,16);
	x = 0;y = 0;
	for(i=0;i<16;i++){
		while(global_touch==0);
		x += global_inX; 
		y += global_inY;
	}
	if(x>20000) X_MAX += x/16;
	else X_MIN += x/16;
	if(y>20000) Y_MAX += y/16;
	else Y_MIN += y/16;
	while(global_touch==1);

	frct(0,190,100,239,COLOR_WHITE,0);		//E^b`
	fcrcl(308,228,312,232,COLOR_BLACK,0);
	draw_string("TOUCH",28,16);
	x = 0;y = 0;
	for(i=0;i<16;i++){
		while(global_touch==0);
		x += global_inX; 
		y += global_inY;
	}
	if(x>20000) X_MAX += x/16;
	else X_MIN += x/16;
	if(y>20000) Y_MAX += y/16;
	else Y_MIN += y/16;
	while(global_touch==1);
	
	X_MAX += (X_MAX - X_MIN)/300*10;		//300hbg320hbgւ̕ϊ
	X_MIN -= (X_MAX - X_MIN)/300*10;
	Y_MAX += (Y_MAX - Y_MIN)/220*10;		//220hbg240hbgւ̕ϊ
	Y_MIN -= (Y_MAX - Y_MIN)/220*10;
	X_MAX /= 2;
	X_MIN /= 2;
	Y_MAX /= 2;
	Y_MIN /= 2;
	frct(0,0,319,239,COLOR_WHITE,0);		//IbZ[W
	draw_string("COMPLETE",15,8);
	draw_string("TOUCH TO GO",13,10);
	while(global_touch==0);					//x^b`ďI
}