/***********************************************************************/
/*                                                                     */
/*  FILE        :mole_time.c                                           */
/*  DESCRIPTION :game work limit                                       */
/*  CPU TYPE    :RX62N                                                 */
/*                                                                     */
/***********************************************************************/
#include <machine.h>
#include "vect.h"
#include "iodefine.h"
#include "global_val.h"

#define ADDRA ADDR0
#define ADDRB ADDR1

// CMTU0_CMT1
void Excep_CMTU0_CMT1(void){
	int i;
	static unsigned char j;
	static unsigned short time = 100;
		
	j += (S12AD.ADDRB & 0x07) + (S12AD.ADDRA  & 0x07);
	
	for(i=0;i<8;i++){
		mole[i].time--;
		if(mole[i].time == 0){
			mole[i].time = global_random_value[j];
			mole[i].draw = 1;
			mole[i].state++;
			if(mole[i].state > 3){
				mole[i].state = 0;
			}
		}
	}	
	
	time--;
	if(time == 0){
		time = 100;
		draw_time(--global_time);
		if(global_time <= 0){
			CMT.CMSTR0.BIT.STR1	= 0;
			for(i=0; i<8; i++){
				mole[i].state = 0;
				draw_mole(i);
			}
			draw_string("GAME",15,1);
			draw_string("END",20,1);
			draw_string("RETRY",30,1);
		}
	}

}